Subject: Re: Long boot delay on 460EX with 2.6.28-rc8

From: Michael Ellerman <[email-masked]>
Date: Fri, 19 Dec 2008 09:57:43 +1100

On Thu, 2008-12-18 at 22:01 +0300, Anton Vorontsov wrote:
> On Thu, Dec 18, 2008 at 12:51:29PM -0600, Kumar Gala wrote:

> >> I saw somewhat similar behaviour on 83xx target, the cause was
> >> that my .config file contained bogus UDBG_RTAS_CONSOLE=y symbol
> >> (or was it PPC_EARLY_DEBUG_RTAS_PANEL=y? Or HVC_UDBG=y? I don't
> >> quite remember).
> >>
> >> Obviously, on 83xx we don't have RTAS or HVC stuff, but kernel
> >> didn't oops or hang completely, it was busy with executing various
> >> delays in those drivers and then just continued to load.
> >
> > Why are these drivers even doing anything on 83xx?  Seems like they need 
> > something to bind against or some detection of "HW".
> 
> Early console/UDBG is known to cause problems if enabled on
> inappropriate hardware. They start working very early, so it's hard
> for them to do the hw detection (no device tree yet, I presume).

Yes that's the whole point, it's _EARLY_ debug, there's even a big fat
warning in the Kconfig.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person